.promo-code-main img {
    width: 200px;
}
.promo-code-main {
    margin-top: 20px;
    display: flex;
    background-color: #262A3B;
    border-radius: 16px;
    padding: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
    color: #ffffff;
}

.promo-code-popup__title h4 {
    font-family: Open Sans;
    font-weight: 600;
    font-size: 18px;
    line-height: 26px;
    text-align: center;
}

.promo-code-popup__title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.promo-code-popup_arrow {
    z-index: 100;
    margin-bottom: -4px;
    text-align: center;
    position: sticky;
    filter: drop-shadow(1px 3px 2px rgb(0 0 0 / 0.5));
}


.promo-code-popup__wrapper .promo-code-popup_arrow, .promo-code-popup__wrapper .promo-code-popup {
    width: 454px;
}


.promo-code-popup__wrapper {
    z-index: 90000;
    display: none;
}

.promo-code-popup {
    position: absolute;
    box-shadow: 0px 8px 10px 0px rgba(68, 92, 130, 0.2);
    box-shadow: 0px 6px 30px 0px rgba(68, 92, 130, 0.12);
    box-shadow: 0px 16px 24px 0px rgba(68, 92, 130, 0.14);
    border-radius: 16px;
    padding: 16px;
    gap: 16px;
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    z-index: 99999;
}

.promo-code-main .promo-code-main__title {
    display: flex;
    flex-direction: column;
    gap: 10px;
    min-width: 300px;
}

.promo-code-main .promo-code-main__promo_image img {
    position: relative;
    left: -60px;
}


.promo-code-main .promo-code__text {
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0px;
}

.promo-code-main .promo-code__title {
    margin-bottom: 5px;
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
}

.promo-code-main .promo-code__button svg {
    margin-bottom: -2px;
}

.promo-code-main .promo-code__button {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    gap: 10px;
    width: 200px;
    padding-left: 10px;
    justify-content: center;
    background-color: #F0F2F4;
    border-radius: 8px;
    font-family: Open Sans;
    font-weight: 600;
    font-size: 14px;
    line-height: 32px;
    text-align: center;
    padding: 5px;
    color: rgba(0, 0, 0, 0.8);
}

.promo-code-popup__code div:first-child {
    display: flex;
    flex-direction: row;
    gap: 10px;
    width: -webkit-fill-available;
    align-items: center;
}

.promo-code-popup__conteiner {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}


.promo-code-popup__wrapper .promo-code-popup__conteiner .new_button {
    border-radius: 10px !important;
    width: 180px;
    font-family: Open Sans;
    font-weight: 600;
    font-size: 14px;
    line-height: 32px;
    text-align: center;
    vertical-align: middle;
}

.promo_code__value {
    font-family: Open Sans;
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
}

.promo-code-popup__code {
    display: flex;
    width: 230px;
    flex-direction: row;
    border: 1px solid #4F5A6D;
    border-radius: 8px;
    padding-top: 9px;
    padding-right: 12px;
    padding-bottom: 9px;
    padding-left: 12px;
    border-width: 1px;
}

.promo-code-popup__wrapper .promo-code-popup__wrapper .promo-code-popup__footer {
    border-top: 1px solid #efefef;    
    padding-top: 15px;
    margin-top: 10px;
}

.promo-code-popup__footer {
    border-top: 1px solid #efefef;
    margin-top: 5px;
    padding-top: 15px;
}

.promo-code-popup__close {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #F0F2F4;
    width: 32px;
    height: 32px;
    border-radius: 8px;
    padding: 9px;
}

.promo-code__copy {
    cursor: pointer;
}

@media (max-width: 1024px) { 

    .promo-code-main .promo-code-main__title {
        min-width: unset;
    }

    .promo-code-popup__conteiner > div { 
        width: unset;
    }

    .promo-code-popup__wrapper {
        width: 100%;
    }
    .promo-code-popup__conteiner {
        flex-direction: column;
    }

    .promo-code-popup__wrapper .promo-code-popup_arrow, .promo-code-popup__wrapper .promo-code-popup {
        width: auto;
    }

    .promo-code-popup__wrapper .promo-code-popup__conteiner .new_button {    
        width: auto;
    }
    
/* 
    .promo-code-popup__wrapper .promo-code-popup_arrow {
        position: absolute;
        bottom: 0px !important;
    } */
   .promo-code-main {
       width: 100%;
   }
   .promo-code-main .promo-code__title {
      font-size: 20px;
   }
   .promo-code-main .promo-code__text {
      font-size: 13px;
   }
   .promo-code-main .promo-code-main__promo_image img {
      position: relative;
      left: -90px;
      bottom: -20px;
   }
   .promo-code-main .promo-code-main__title {
      width: 250px;
   }

   .promo-code-main img {
      width: 170px;
   }

   .promo-code-popup {
      margin-right: 20px;
   }

   .promo-code-main {
      align-items: flex-end;
   }

   .promo-code-main .promo-code-main__title {
      width: unset;
   }
   .promo-code-main .promo-code__button {   
      width: 200px;
   }

   .promo-code-main__promo_image {
      width: 50px;
   }
    
}

.promo-code__copied {
    
    padding: 10px;
    background-color: #4F5A6D;
    color: #ffffff;
    display: none;
    border-radius: 10px;
    position: absolute;
    margin-top: -5px;
    margin-left: 140px;
    max-width: 140px;
    padding-left: 15px;
    padding-right: 25px;
    box-shadow: 0px 8px 10px 0px rgba(68, 92, 130, 0.2);
    box-shadow: 0px 6px 30px 0px rgba(68, 92, 130, 0.12);
    box-shadow: 0px 16px 24px 0px rgba(68, 92, 130, 0.14);
}